LambdaWriter (Groovy 3.0.9)

Package org.codehaus.groovy.classgen.asm

## Class LambdaWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.ClosureWriter
  - - org.codehaus.groovy.classgen.asm.LambdaWriter

- Direct Known Subclasses:
    `StaticTypesLambdaWriter`

      public class LambdaWriter
      extends ClosureWriter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.classgen.asm.ClosureWriter

      `ClosureWriter.CorrectAccessedVariableVisitor, ClosureWriter.UseExistingReference`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.classgen.asm.ClosureWriter

      `controller, OUTER_INSTANCE, THIS_OBJECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LambdaWriter​(WriterController controller)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Parameter[]` | `getLambdaSharedVariables​(LambdaExpression expression)` |
    `void` | `writeLambda​(LambdaExpression expression)` |

    - ### Methods inherited from class org.codehaus.groovy.classgen.asm.ClosureWriter

      `addConstructor, addFieldsAndGettersForLocalVariables, addGeneratedClosureConstructorCall, createBlockStatementForConstructor, createClosureClass, getClosureSharedVariables, getOrAddClosureClass, loadReference, loadThis, removeInitialValues, writeClosure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LambdaWriter

          public LambdaWriter​(WriterController controller)

  - ### Method Detail

    - #### writeLambda

          public void writeLambda​(LambdaExpression expression)

    - #### getLambdaSharedVariables

          protected Parameter[] getLambdaSharedVariables​(LambdaExpression expression)